'use strict';

var React = require('react');
var classnames = require('classnames');

var spacings = {"minuscule":"B1cBkstNQhM-","smallest":"rjAxJwaso0s-","smaller":"Chezd5Sqtmk-","small":"hzVGRy-KUeY-","slim":"B67dzZpuwr4-","base":"XFi-EWH3Rc0-","large":"JTt98vS-CLk-","larger":"-h5Dm7qvnss-","largest":"K7DP0lB9veI-","extravagant":"d8bHHzbOHk4-","spinning":"P4hbXYfU8i0-"};

var styles = {"padded":"cftWh-00zXM-","spinning":"_9iksvSyX2wY-"};

function Content({ children, spacing = "base", type = "div", }) {
    const className = classnames(styles.padded, spacings[spacing]);
    return React.createElement(type, { className }, children);
}

exports.Content = Content;
